## dfbvideosink dfbvideosink — A DirectFB based videosink |

## Synopsis

    struct              GstDfbVideoSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstVideoSink
                               +----GstDfbVideoSink

## Implemented Interfaces

GstDfbVideoSink implements GstImplementsInterface, GstNavigation and GstColorBalance.

## Properties

      "brightness"               gint                  : Read / Write
      "contrast"                 gint                  : Read / Write
      "hue"                      gint                  : Read / Write
      "pixel-aspect-ratio"       gchar*                : Read / Write
      "saturation"               gint                  : Read / Write
      "surface"                  gpointer              : Write
      "vsync"                    gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | dfbvideosink
author | Julien Moutte <julien@moutte.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-rgb, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]
| video/x-raw-yuv, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Details

### struct GstDfbVideoSink

    struct GstDfbVideoSink;

## Property Details

### The `"brightness"` property

      "brightness"               gint                  : Read / Write

The brightness of the video.

Allowed values: [0,65535]

Default value: 32768

### The `"contrast"` property

      "contrast"                 gint                  : Read / Write

The contrast of the video.

Allowed values: [0,65535]

Default value: 32768

### The `"hue"` property

      "hue"                      gint                  : Read / Write

The hue of the video.

Allowed values: [0,65535]

Default value: 32768

### The `"pixel-aspect-ratio"` property

      "pixel-aspect-ratio"       gchar*                : Read / Write

The pixel aspect ratio of the device.

Default value: "1/1"

### The `"saturation"` property

      "saturation"               gint                  : Read / Write

The saturation of the video.

Allowed values: [0,65535]

Default value: 32768

### The `"surface"` property

      "surface"                  gpointer              : Write

The target surface for video.

### The `"vsync"` property

      "vsync"                    gboolean              : Read / Write

Wait for next vertical sync to draw frames.

Default value: TRUE